# ResourceFilterType

enum ResourceFilterType

Specifies whether an Eclipse ResourceFilter is including or excluding resources.

#### Since

3.5

## Entries

INCLUDE_ONLY
Link copied to clipboard
INCLUDE_ONLY
EXCLUDE_ALL
Link copied to clipboard
EXCLUDE_ALL

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ResourceFilterType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ResourceFilterType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.